Package ch.qos.logback.core.status

## Interface Status

All Known Implementing Classes:
  `ErrorStatus`, `InfoStatus`, `StatusBase`, `WarnStatus`

    public interface Status

### Field Summary

Fields
`static int` `ERROR`
`static int` `INFO`
`static int` `WARN`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add​(Status child)`
`java.lang.Long` `getDate()`
`int` `getEffectiveLevel()`
`int` `getLevel()`
`java.lang.String` `getMessage()`
`java.lang.Object` `getOrigin()`
`java.lang.Throwable` `getThrowable()`
`boolean` `hasChildren()`
`java.util.Iterator<Status>` `iterator()`
`boolean` `remove​(Status child)`

### Field Detail

#### INFO

    static final int INFO

See Also:
  Constant Field Values

#### WARN

    static final int WARN

See Also:
  Constant Field Values

#### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### Method Detail

#### getLevel

    int getLevel()

#### getEffectiveLevel

    int getEffectiveLevel()

#### getOrigin

    java.lang.Object getOrigin()

#### getMessage

    java.lang.String getMessage()

#### getThrowable

    java.lang.Throwable getThrowable()

#### getDate

    java.lang.Long getDate()

#### hasChildren

    boolean hasChildren()

#### add

    void add​(Status child)

#### remove

    boolean remove​(Status child)

#### iterator

    java.util.Iterator<Status> iterator()